> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer une clé d'API de service

> Créer une clé d'API de service pour une organisation dans l'offre Enterprise

Requiert la clé d'API personnelle d'un administrateur Enterprise.

Crée une clé d'API de service pour une organisation spécifiée au sein de l'offre Enterprise.


## OpenAPI

````yaml fr/v2-openapi.yaml POST /v2/enterprise/api-keys
openapi: 3.1.0
info:
  description: >-
    API Devin v2 avec clés d’API personnelles pour les administrateurs
    Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/api-keys:
    post:
      tags:
        - api-keys
      summary: Endpoint de provisionnement de l'API key de service
      description: >-
        Créer une API key de service pour une organisation au sein de
        l’Enterprise.
      operationId: provision_service_api_key_endpoint_v2_enterprise_api_keys_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServiceKeyRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceKeyResponse'
          description: Réponse en cas de succès
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
components:
  schemas:
    ServiceKeyRequest:
      properties:
        org_id:
          title: Org Id
          type: string
      required:
        - org_id
      title: ServiceKeyRequest
      type: object
    ServiceKeyResponse:
      properties:
        api_key:
          title: Api Key
          type: string
        org_id:
          title: Org Id
          type: string
      required:
        - api_key
        - org_id
      title: ServiceKeyResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        API Key personnelle (apk_user_*) réservée uniquement aux administrateurs
        Enterprise
      scheme: bearer
      type: http

````